/*
	Company:            Sensaura Ltd
	Copyright:          (C) 1999

	File Name:		    winmain.cpp
	File Description:	Source file for implementation of WinMain function
	Author:			    Adam Philp
	Last Update:		08-DEC-99

	Target Compiler:	Microsoft Visual C++ Version 5.0
*/

///////////////////////	Included files ////////////////////////////////////////////////////////////

#include <windows.h>

#include "applicat.h"
#include "debug.h"
#include "resource.h"

/////////////////////// Global variables //////////////////////////////////////////////////////////

Application* g_pApp = NULL;

/////////////////////// WinMain ///////////////////////////////////////////////////////////////////

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR pCmdLine, int cmdshow)
{
	int ret;
	char achAppTitle[100];

	PTRACE("WinMain(hInstance:%X, hPrevInstance:%X, pCmdLine:%s, cmdShow:%X)", hInstance, hPrevInstance, pCmdLine, cmdshow);

	LoadString(hInstance, IDS_APPTITLE, achAppTitle, 100);
	Application app(achAppTitle, hInstance, hPrevInstance, pCmdLine, cmdshow);

	g_pApp = &app;
	ret = app.Run();

	PTRACE("WinMain(): App returned %d", ret);

	return ret;
}

